#
Summary: This removes the -dynroot option from the openafs config
Name: SL_afs_no_dynroot
Version: 2.0
Release: 2
License: GPL
Group: Fermi
URL: https://www.scientificlinux.org/
Vendor: Fermilab
Packager: Troy Dawson
BuildArchitectures: noarch
requires: initscripts, sed
%description

This package removes the -dynroot option from the openafs configuration.
Restarting of afs is needed for this to take effect.  This rpm does not
restart afs.
They -dynroot option does not load the cell root into /afs, but only
goes to the roots dynamically.  Because of this anything that is in the 
cell root base will not show up.  An example of this is that fermilab's
cell fnal.gov has a link in it's cell root.  This link will never show up
because the the root is never actually loaded.  These links can be added 
by using CellAlias if dynroot is wanted.

%files
%post
#
# This modifies /etc/sysconfig/afs to remove the -dynroot option
# This script will only sucessfully work on unmodified files
#
if [ -f /etc/sysconfig/afs ] ; then
	cat /etc/sysconfig/afs | sed 's:ENABLE_DYNROOT=on:ENABLE_DYNROOT=off:' > /etc/sysconfig/afs.tmp
	mv /etc/sysconfig/afs.tmp /etc/sysconfig/afs
fi


%postun
if [ "$1" = "0" ] ; then
	if [ -f /etc/sysconfig/afs ] ; then
		cat /etc/sysconfig/afs | sed 's:ENABLE_DYNROOT=off:ENABLE_DYNROOT=on:' > /etc/sysconfig/afs.tmp
		mv /etc/sysconfig/afs.tmp /etc/sysconfig/afs
	fi
fi

%triggerin -- initscripts, openafs
if [ -f /etc/sysconfig/afs ] ; then
	cat /etc/sysconfig/afs | sed 's:ENABLE_DYNROOT=on:ENABLE_DYNROOT=off:' > /etc/sysconfig/afs.tmp
	mv /etc/sysconfig/afs.tmp /etc/sysconfig/afs
fi

%changelog
* Fri Mar 04 2005 Troy Dawson (dawson@fnal.gov) 2.0-1
- Changed the script to work with the configuration file for 1.3.79

* Mon Sep 27 2004 Troy Dawson (dawson@fnal.gov)
- Released version 1.0
